"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _cloneArrayBuffer = require("./_cloneArrayBuffer.js");
var cloneArrayBuffer = _cloneArrayBuffer._cloneArrayBuffer;
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var _cloneTypedArray = cloneTypedArray;
exports._cloneTypedArray = _cloneTypedArray;
